org.apache.hc.client5.http.sync.methods

## Class HttpPost

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.BasicHttpRequest
    - - org.apache.hc.core5.http.message.BasicClassicHttpRequest
      - - org.apache.hc.client5.http.sync.methods.HttpUriRequestBase
        - - org.apache.hc.client5.http.sync.methods.HttpPost

All Implemented Interfaces:
  Serializable, CancellableAware, Configurable, org.apache.hc.core5.http.ClassicHttpRequest, org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHeaders

    public class HttpPost
    extends HttpUriRequestBase

HTTP POST method.

The HTTP POST method is defined in section 9.5 of RFC2616:

> The POST method is used to request that the origin server accept the entity enclosed in the request as a new subordinate of the resource identified by the Request-URI in the Request-Line. POST is designed to allow a uniform method to cover the following functions:
> - Annotation of existing resources
> - Posting a message to a bulletin board, newsgroup, mailing list, or similar group of articles
> - Providing a block of data, such as the result of submitting a form, to a data-handling process
> - Extending a database through an append operation

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpPost(String uri)`
`HttpPost(URI uri)`

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.sync.methods.HttpUriRequestBase

`abort, getConfig, isAborted, isCancelled, reset, setCancellable, setConfig, toString`

### Methods inherited from class org.apache.hc.core5.http.message.BasicClassicHttpRequest

`getEntity, setEntity`

### Methods inherited from class org.apache.hc.core5.http.message.BasicHttpRequest

`addHeader, getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, getVersion, setAuthority, setHeader, setPath, setScheme, setVersion`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpPost

    public HttpPost(URI uri)

#### HttpPost

    public HttpPost(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.